ModifierQueryNode.Modifier (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.core.nodes.ModifierQueryNode.Modifier class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.queryParser.core.nodes
Enum ModifierQueryNode.Modifier

    java.lang.Object
      java.lang.Enum<ModifierQueryNode.Modifier>
          org.apache.lucene.queryParser.core.nodes.ModifierQueryNode.Modifier

All Implemented Interfaces:
  Serializable, Comparable<ModifierQueryNode.Modifier>

Enclosing class:
  ModifierQueryNode

    public static enum ModifierQueryNode.Modifier

extends Enum<ModifierQueryNode.Modifier>

Enum Constant Summary
`MOD_NONE`
`MOD_NOT`
`MOD_REQ`

Method Summary
`String` | `toDigitString()`
`String` | `toLargeString()`
`String` | `toString()`
`static ModifierQueryNode.Modifier` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ModifierQueryNode.Modifier[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MOD_NONE

    public static final ModifierQueryNode.Modifier MOD_NONE

### MOD_NOT

    public static final ModifierQueryNode.Modifier MOD_NOT

### MOD_REQ

    public static final ModifierQueryNode.Modifier MOD_REQ

Method Detail

### values

    public static final ModifierQueryNode.Modifier[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ModifierQueryNode.Modifier c : ModifierQueryNode.Modifier.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ModifierQueryNode.Modifier valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<ModifierQueryNode.Modifier>`

### toDigitString

    public String toDigitString()

### toLargeString

    public String toLargeString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD